function f=f_dis_difference(image,img_l,img_r,dis_l,dis_r,index,weight)
[m,n]=size(dis_l);
if index==-1
    temp=dis_l;
    dis_l=dis_r;
    dis_r=temp;
end

for i=1:m
    for j=1:n
        x=dis_l(i,j);
        k=j+x;
        t=dis_r(i,k);
        r=k+t;
        D(i,j)=(r-j);
    end
end
D=abs(D);
f1=mean2(D);
f2=var(D(:));

w=(1-weight)./weight;

D1=D.*w;
f3=mean2(D1);
f4=var(D1(:));

w=sqrt(w);
D2=D.*w;
f5=mean2(D2);
f6=var(D2(:));

%dd=abs(D);
%f=mean2(dd);

f=[f1 f2 f3 f4 f5 f6];
end





